MFAConfirm MFA enrollment

Confirm MFA enrollment

Verifies a 6-digit TOTP code against the pending secret, enables MFA, and returns one-time backup codes.

curl -X POST "https://slugbase.app/api/auth/mfa/enroll/confirm" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT or sb_ API token)" \
  -d '{
  "code": "example_string"
}'
{
  "backup_codes": [
    "example_string"
  ]
}
POST
/api/auth/mfa/enroll/confirm
POST
Bearer Token (JWT or sb_ API token)
Bearer Tokenstring
Required

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).
Content-Typestring
Required

The media type of the request body

Options: application/json
codestring
Required

6-digit TOTP from the authenticator app

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT or sb_ API token). Use Authorization: Bearer \<token\>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Body

application/json
codestring
Required

6-digit TOTP from the authenticator app

Responses

backup_codesstring[]
Required

One-time codes; shown once